unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Rtti, System.Classes,
  System.Variants, FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs,
  FMXTee.Engine, FMXTee.Series, FMXTee.Procs, FMXTee.Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TFastLineSeries;
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Timer1.Interval := 250;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var i: Integer;
begin
  Chart1.AutoRepaint:=False;

  Series1.Clear;
  for i := 0 to 1000 do
    Series1.Add(i);

  Chart1.AutoRepaint:=True;
  Chart1.Repaint;
end;

end.
